Index: LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90
===================================================================
--- LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4013)
+++ LMDZ6/branches/Ocean_skin/libf/phylmd/dyn1d/mod_1D_cases_read_std.F90	(revision 4368)
@@ -5,76 +5,79 @@
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!Declarations specifiques au cas standard
-        character*80 :: fich_cas
-! Discr?tisation 
-        integer nlev_cas, nt_cas
-
-
-!profils environnementaux
-        real, allocatable::  plev_cas(:,:),plevh_cas(:)
-        real, allocatable::  ap_cas(:),bp_cas(:)
-
-        real, allocatable::  z_cas(:,:),zh_cas(:)
-        real, allocatable::  t_cas(:,:),q_cas(:,:),qv_cas(:,:),ql_cas(:,:),qi_cas(:,:),rh_cas(:,:)
-        real, allocatable::  th_cas(:,:),thv_cas(:,:),thl_cas(:,:),rv_cas(:,:)
-        real, allocatable::  u_cas(:,:),v_cas(:,:),vitw_cas(:,:),omega_cas(:,:),tke_cas(:,:)
-
-!forcing
-        real, allocatable::  ht_cas(:,:),vt_cas(:,:),dt_cas(:,:),dtrad_cas(:,:)
-        real, allocatable::  hth_cas(:,:),vth_cas(:,:),dth_cas(:,:)
-        real, allocatable::  hq_cas(:,:),vq_cas(:,:),dq_cas(:,:)
-        real, allocatable::  hr_cas(:,:),vr_cas(:,:),dr_cas(:,:)
-        real, allocatable::  hu_cas(:,:),vu_cas(:,:),du_cas(:,:)
-        real, allocatable::  hv_cas(:,:),vv_cas(:,:),dv_cas(:,:)
-        real, allocatable::  ug_cas(:,:),vg_cas(:,:)
-        real, allocatable::  temp_nudg_cas(:,:),qv_nudg_cas(:,:),u_nudg_cas(:,:),v_nudg_cas(:,:)
-        real, allocatable::  lat_cas(:),sens_cas(:),ts_cas(:),ps_cas(:),ustar_cas(:)
-        real, allocatable::  uw_cas(:,:),vw_cas(:,:),q1_cas(:,:),q2_cas(:,:),tkes_cas(:)
-
-!champs interpoles
-        real, allocatable::  plev_prof_cas(:)
-        real, allocatable::  t_prof_cas(:)
-        real, allocatable::  theta_prof_cas(:)
-        real, allocatable::  thl_prof_cas(:)
-        real, allocatable::  thv_prof_cas(:)
-        real, allocatable::  q_prof_cas(:)
-        real, allocatable::  qv_prof_cas(:)
-        real, allocatable::  ql_prof_cas(:)
-        real, allocatable::  qi_prof_cas(:)
-        real, allocatable::  rh_prof_cas(:)
-        real, allocatable::  rv_prof_cas(:)
-        real, allocatable::  u_prof_cas(:)
-        real, allocatable::  v_prof_cas(:)        
-        real, allocatable::  vitw_prof_cas(:)
-        real, allocatable::  omega_prof_cas(:)
-        real, allocatable::  tke_prof_cas(:)
-        real, allocatable::  ug_prof_cas(:)
-        real, allocatable::  vg_prof_cas(:)
-        real, allocatable::  temp_nudg_prof_cas(:),qv_nudg_prof_cas(:),u_nudg_prof_cas(:),v_nudg_prof_cas(:)
-        real, allocatable::  ht_prof_cas(:)
-        real, allocatable::  hth_prof_cas(:)
-        real, allocatable::  hq_prof_cas(:)
-        real, allocatable::  vt_prof_cas(:)
-        real, allocatable::  vth_prof_cas(:)
-        real, allocatable::  vq_prof_cas(:)
-        real, allocatable::  dt_prof_cas(:)
-        real, allocatable::  dth_prof_cas(:)
-        real, allocatable::  dtrad_prof_cas(:)
-        real, allocatable::  dq_prof_cas(:)
-        real, allocatable::  hu_prof_cas(:)
-        real, allocatable::  hv_prof_cas(:)
-        real, allocatable::  vu_prof_cas(:)
-        real, allocatable::  vv_prof_cas(:)
-        real, allocatable::  du_prof_cas(:)
-        real, allocatable::  dv_prof_cas(:)
-        real, allocatable::  uw_prof_cas(:)
-        real, allocatable::  vw_prof_cas(:)
-        real, allocatable::  q1_prof_cas(:)
-        real, allocatable::  q2_prof_cas(:)
-
-
-        real lat_prof_cas,sens_prof_cas,ts_prof_cas,ps_prof_cas,ustar_prof_cas,tkes_prof_cas
-        real o3_cas,orog_cas,albedo_cas,emiss_cas,t_skin_cas,q_skin_cas,mom_rough,heat_rough,rugos_cas,sand_cas,clay_cas
-      
+  !Declarations specifiques au cas standard
+  character*80 :: fich_cas
+  ! Discr?tisation 
+  integer nlev_cas, nt_cas
+
+
+  !profils environnementaux
+  real, allocatable::  plev_cas(:,:),plevh_cas(:)
+  real, allocatable::  ap_cas(:),bp_cas(:)
+
+  real, allocatable::  z_cas(:,:),zh_cas(:)
+  real, allocatable::  t_cas(:,:),q_cas(:,:),qv_cas(:,:),ql_cas(:,:),qi_cas(:,:),rh_cas(:,:)
+  real, allocatable::  th_cas(:,:),thv_cas(:,:),thl_cas(:,:),rv_cas(:,:)
+  real, allocatable::  u_cas(:,:),v_cas(:,:),vitw_cas(:,:),omega_cas(:,:),tke_cas(:,:)
+
+  !forcing
+  real, allocatable::  ht_cas(:,:),vt_cas(:,:),dt_cas(:,:),dtrad_cas(:,:)
+  real, allocatable::  hth_cas(:,:),vth_cas(:,:),dth_cas(:,:)
+  real, allocatable::  hq_cas(:,:),vq_cas(:,:),dq_cas(:,:)
+  real, allocatable::  hr_cas(:,:),vr_cas(:,:),dr_cas(:,:)
+  real, allocatable::  hu_cas(:,:),vu_cas(:,:),du_cas(:,:)
+  real, allocatable::  hv_cas(:,:),vv_cas(:,:),dv_cas(:,:)
+  real, allocatable::  ug_cas(:,:),vg_cas(:,:)
+  real, allocatable::  temp_nudg_cas(:,:),qv_nudg_cas(:,:),u_nudg_cas(:,:),v_nudg_cas(:,:)
+  real, allocatable::  invtau_temp_nudg_cas(:,:),invtau_qv_nudg_cas(:,:),invtau_u_nudg_cas(:,:),invtau_v_nudg_cas(:,:)
+  real, allocatable::  lat_cas(:),sens_cas(:),tskin_cas(:),ts_cas(:),ps_cas(:),ustar_cas(:)
+  real, allocatable::  uw_cas(:,:),vw_cas(:,:),q1_cas(:,:),q2_cas(:,:),tkes_cas(:)
+
+  !champs interpoles
+  real, allocatable::  plev_prof_cas(:)
+  real, allocatable::  t_prof_cas(:)
+  real, allocatable::  theta_prof_cas(:)
+  real, allocatable::  thl_prof_cas(:)
+  real, allocatable::  thv_prof_cas(:)
+  real, allocatable::  q_prof_cas(:)
+  real, allocatable::  qv_prof_cas(:)
+  real, allocatable::  ql_prof_cas(:)
+  real, allocatable::  qi_prof_cas(:)
+  real, allocatable::  rh_prof_cas(:)
+  real, allocatable::  rv_prof_cas(:)
+  real, allocatable::  u_prof_cas(:)
+  real, allocatable::  v_prof_cas(:)        
+  real, allocatable::  vitw_prof_cas(:)
+  real, allocatable::  omega_prof_cas(:)
+  real, allocatable::  tke_prof_cas(:)
+  real, allocatable::  ug_prof_cas(:)
+  real, allocatable::  vg_prof_cas(:)
+  real, allocatable::  temp_nudg_prof_cas(:),qv_nudg_prof_cas(:),u_nudg_prof_cas(:),v_nudg_prof_cas(:)
+  real, allocatable::  invtau_temp_nudg_prof_cas(:),invtau_qv_nudg_prof_cas(:),invtau_u_nudg_prof_cas(:),invtau_v_nudg_prof_cas(:)
+
+  real, allocatable::  ht_prof_cas(:)
+  real, allocatable::  hth_prof_cas(:)
+  real, allocatable::  hq_prof_cas(:)
+  real, allocatable::  vt_prof_cas(:)
+  real, allocatable::  vth_prof_cas(:)
+  real, allocatable::  vq_prof_cas(:)
+  real, allocatable::  dt_prof_cas(:)
+  real, allocatable::  dth_prof_cas(:)
+  real, allocatable::  dtrad_prof_cas(:)
+  real, allocatable::  dq_prof_cas(:)
+  real, allocatable::  hu_prof_cas(:)
+  real, allocatable::  hv_prof_cas(:)
+  real, allocatable::  vu_prof_cas(:)
+  real, allocatable::  vv_prof_cas(:)
+  real, allocatable::  du_prof_cas(:)
+  real, allocatable::  dv_prof_cas(:)
+  real, allocatable::  uw_prof_cas(:)
+  real, allocatable::  vw_prof_cas(:)
+  real, allocatable::  q1_prof_cas(:)
+  real, allocatable::  q2_prof_cas(:)
+
+
+  real o3_cas,lat_prof_cas,sens_prof_cas,ts_prof_cas,tskin_prof_cas,ps_prof_cas,ustar_prof_cas,tkes_prof_cas
+  real orog_cas,albedo_cas,emiss_cas,q_skin_cas,mom_rough,heat_rough,rugos_cas,sand_cas,clay_cas
+
 
 
